ControlHistory (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.server.session.ControlHistory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.server.session
Class ControlHistory

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.control.server.session.ControlHistory

All Implemented Interfaces:
  java.io.Serializable

    public class ControlHistory

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`ControlHistory()` default constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAction()`
`java.lang.String` | `getArgs()`
`java.lang.Integer` | `getBatchId()`
`long` | `getDateScheduled()`
`java.lang.String` | `getDescription()`
`long` | `getDuration()`
`long` | `getEndTime()`
`java.lang.Integer` | `getEntityId()`
`java.lang.String` | `getEntityName()`
`java.lang.Integer` | `getEntityType()`
`java.lang.Integer` | `getGroupId()`
`java.lang.String` | `getMessage()`
`java.lang.Boolean` | `getScheduled()`
`long` | `getStartTime()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getSubject()`
`boolean` | `isScheduled()`
`protected void` | `setAction(java.lang.String action)`
`protected void` | `setArgs(java.lang.String args)`
`protected void` | `setBatchId(java.lang.Integer batchId)`
`protected void` | `setDateScheduled(long dateScheduled)`
`protected void` | `setDescription(java.lang.String description)`
`protected void` | `setEndTime(long endTime)`
`protected void` | `setEntityId(java.lang.Integer entityId)`
`void` | `setEntityName(java.lang.String entityName)`
`protected void` | `setEntityType(java.lang.Integer entityType)`
`protected void` | `setGroupId(java.lang.Integer groupId)`
`protected void` | `setMessage(java.lang.String message)`
`protected void` | `setScheduled(boolean scheduled)`
`protected void` | `setScheduled(java.lang.Boolean scheduled)`
`protected void` | `setStartTime(long startTime)`
`protected void` | `setStatus(java.lang.String status)`
`protected void` | `setSubject(java.lang.String subject)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlHistory

    public ControlHistory()

  default constructor

Method Detail

### getGroupId

    public java.lang.Integer getGroupId()

### setGroupId

    protected void setGroupId(java.lang.Integer groupId)

### getBatchId

    public java.lang.Integer getBatchId()

### setBatchId

    protected void setBatchId(java.lang.Integer batchId)

### getEntityType

    public java.lang.Integer getEntityType()

### setEntityType

    protected void setEntityType(java.lang.Integer entityType)

### getEntityId

    public java.lang.Integer getEntityId()

### setEntityId

    protected void setEntityId(java.lang.Integer entityId)

### getSubject

    public java.lang.String getSubject()

### setSubject

    protected void setSubject(java.lang.String subject)

### isScheduled

    public boolean isScheduled()

### setScheduled

    protected void setScheduled(boolean scheduled)

### getScheduled

    public java.lang.Boolean getScheduled()

### setScheduled

    protected void setScheduled(java.lang.Boolean scheduled)

### getDateScheduled

    public long getDateScheduled()

### setDateScheduled

    protected void setDateScheduled(long dateScheduled)

### getStartTime

    public long getStartTime()

### setStartTime

    protected void setStartTime(long startTime)

### getStatus

    public java.lang.String getStatus()

### setStatus

    protected void setStatus(java.lang.String status)

### getEndTime

    public long getEndTime()

### setEndTime

    protected void setEndTime(long endTime)

### getDuration

    public long getDuration()

### getDescription

    public java.lang.String getDescription()

### setDescription

    protected void setDescription(java.lang.String description)

### getMessage

    public java.lang.String getMessage()

### setMessage

    protected void setMessage(java.lang.String message)

### getAction

    public java.lang.String getAction()

### setAction

    protected void setAction(java.lang.String action)

### getArgs

    public java.lang.String getArgs()

### setArgs

    protected void setArgs(java.lang.String args)

### getEntityName

    public java.lang.String getEntityName()

### setEntityName

    public void setEntityName(java.lang.String entityName)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.